v1.0.0
OpenAPI 3.1.0

Lookup collection contents

US region

Client Libraries

Lookup collection contents

Retrieve the contents of a collection (the data from when you created or updated a collection). Each row in the collection is represented as a JSON blob in the response.

Path Parameters
  • collection_id
    Type: integer
    required

    The identifier for a collection.

Responses
  • application/json
  • 404

    The collection id does not exist.

  • 429

    Your request is over the 10-per-second limit.

Request Example for get/v1/collections/{collection_id}/content
curl https://api.customer.io/v1/collections/1/content \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "eventName": "christmas",
  "eventDate": {},
  "presents": {
    "something_you_want": "toys",
    "something_you_need": "socks",
    "total": 2
  }
}